.main {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.traffic-light {
    display: flex;
    flex: 0 0 auto;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: gray;
    width: 50px;
}

.dot {
    height: 25px;
    width: 25px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block; 
}

#red {
    background-color: red;
}

#yellow {
    background-color: yellow;
}

#green {
    background-color: green;
}

#road {
    margin-top: 50px;
    width: 100%;
    height: 100px;
    background-color: gray;
}

#car {
    transition: all 5s ease-out;
}

.moving {
    transform: translateX(800px);
}